org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Class TextSectionMappingImpl

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.TextSectionMappingImpl

All Implemented Interfaces:
  TextSectionMapping

    public class TextSectionMappingImpl
    extends java.lang.Object
    implements TextSectionMapping

A default implementation of `TextSectionMapping`. It is backed by data from 2 `StringMappingData` objects.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.TextSectionMapping

`TextSectionMapping.Direction, TextSectionMapping.TextPoint`

### Constructor Summary

Constructors
Constructor and Description
`TextSectionMappingImpl(StringMappingData directMappingData, StringMappingData backwardMappingData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TextSectionMapping.TextPoint` `transform(TextSectionMapping.TextPoint original, TextSectionMapping.Direction direction)` Transforms a point into another `TextSectionMapping.TextPoint` according to the map in direct or reverse direction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextSectionMappingImpl

    public TextSectionMappingImpl(StringMappingData directMappingData,
                                  StringMappingData backwardMappingData)

### Method Detail

#### transform

    public TextSectionMapping.TextPoint transform(TextSectionMapping.TextPoint original,
                                                  TextSectionMapping.Direction direction)

Description copied from interface: `TextSectionMapping`
Transforms a point into another `TextSectionMapping.TextPoint` according to the map in direct or reverse direction.

Specified by:
  `transform` in interface `TextSectionMapping`